<?php
	//---------------------------------------------------------------------------------------------------------
	// 24/Abril/2015
	// Versión 1.0 Con este widget gestionamos la información de una factura.
	//---------------------------------------------------------------------------------------------------------

	

    function widget_aviso_cookies(){
		include('comunes/globals.php');
		//Aquí definimos una serie de parámetros que necesitamos
		$funcion_por_defecto = 'aviso_cookies';
		$parametros_por_defecto = array();
		$parametros_recibidos = func_get_args();
		if (count($parametros_recibidos) == 0){
			$parametros_recibidos[0] = $funcion_por_defecto;
		}else{
			if ( ($parametros_recibidos[0] == '') || ($parametros_recibidos[0] == NULL) ){
				$parametros_recibidos[0] = $funcion_por_defecto;
			}
		}
		$parametros_recibidos = mezcla_array_parametros($parametros_por_defecto, $parametros_recibidos);
		$retorno = false;
		//Si entre los parámetros recibidos, tenemos el nombre de la función continuamos
		if (count($parametros_recibidos) > 0){
			//Recogemos el nombre de la función de entre el resto de parámetros
			$nombre_funcion = $parametros_recibidos[0];
			//Quitamos el primer elemento de los parámetros, pues es el nombre de la función
			$parametros_recibidos = array_slice($parametros_recibidos, 1);
			//Si la función existe la ejecutamos
			if(function_exists($nombre_funcion)){
				$retorno = call_user_func_array($nombre_funcion, $parametros_recibidos);
			}
		}
		return($retorno);
	}

	function aviso_cookies($ruta_fichero = 'aviso_cookies'){
		include('comunes/globals.php');
		$acepta_cookies = Sesion::get('acepta_cookies');
		if ($acepta_cookies == NULL){
			//Buscamos el fichero perso de las cookies para mostrarlo
			$ruta_fichero = Theme::findFile($ruta_fichero . '.php');
			if($ruta_fichero != NULL){
				include($ruta_fichero);
			}
		}
		//Asignamos un valor a la variable Sólo si la web no está en recarga
		if (!Sesion::getReloadPage()){
			Sesion::set('acepta_cookies', 1);
		}
	}
?>